/// <reference path="../../../../src/@types/@kano/common/index.d.ts" />
import '@kano/styles/typography.js';
import '@kano/styles/color.js';
import { Tooltip } from './tooltip.js';
export declare class DismissableTooltip extends Tooltip {
    private _onDidDismiss;
    readonly onDidDismiss: import("@kano/common/index.js").IEvent<void>;
    render(markdown: string): import("lit-html").TemplateResult;
    _onClick(): void;
}
